Summary:        Intel Wireless WiFi Link 4965AGN microcode
Name:           iwlwifi-4965-ucode
Version:        228.61.2.24
Release:        %mkrel 5
Source0:        http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
License:        Proprietary
Group:          System/Kernel and hardware
Url:            http://intellinuxwireless.org/

BuildArch:      noarch

%description
The files iwlwifi-4965-*.ucode provided in this package are required to be
present on your system in order for the Intel Wireless WiFi Link 4965AGN
driver for Linux (iwl4965/iwlagn) to be able to operate on your system.

%prep
%setup -q

# Fix for https://bugs.mageia.org/show_bug.cgi?id=3055
chmod 644 LICENSE.*
chmod 644 README.*

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%files
%doc LICENSE.* README.*
/lib/firmware/*.ucode




%changelog

* Sun Apr 22 2012 tmb <tmb> 228.61.2.24-5.mga2
+ Revision: 232441
- drop API 1 firmware as nothing uses it anymore

* Tue Feb 07 2012 tmb <tmb> 228.61.2.24-4.mga2.nonfree
+ Revision: 205850
- rebuild for missing package...

* Thu Dec 01 2011 barjac <barjac> 228.61.2.24-3.mga2.nonfree
+ Revision: 174684
- Added comment and removed %%build
- Corrected README and LICENSE permissions

* Sat Jan 15 2011 tmb <tmb> 228.61.2.24-2.mga1
+ Revision: 19549
- imported package iwlwifi-4965-ucode


* Sat Jan 15 2011 Thomas Backlund <tmb@mageia.org> 228.61.2.24-2.mga1
- initial Mageia import

* Fri Jul 10 2009 Thomas Backlund <tmb@mandriva.org> 228.61.2.24-1mdv2010.0
+ Revision: 394200
- update to 228.61.2.24

* Tue Feb 17 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 228.57.2.23-1mdv2009.1
+ Revision: 342121
- Updated to version 228.57.2.23
- Use version of tarball with latest ucode api.

* Thu Aug 21 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 228.57-1.21.1mdv2009.0
+ Revision: 274476
- Updated to latest Intel 228.57.*.21 ucode versions.

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.44.15-4mdv2009.0
+ Revision: 241595
- rebuild

* Mon Feb 04 2008 Giuseppe Ghibò <ghibo@mandriva.com> 4.44.15-3mdv2008.1
+ Revision: 162472
- Update iwlwifi-4965-1.ucode from release 4.44.1.18 to release 4.44.1.20.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 4.44.15-2mdv2008.0
+ Revision: 68011
- Added additional firmware needed by iwlwifi development drivers and
  current mandriva kernel.

* Tue Jul 03 2007 Olivier Blin <oblin@mandriva.com> 4.44.15-1mdv2008.0
+ Revision: 47522
- initial iwlwifi-4965-ucode package
- Create iwlwifi-4965-ucode

